image: python:3.7

before_script:
  - pip install -r requirements.txt

test-validate:
  stage: test
  script:
    - ./validate.py
  artifacts:
    paths:
    - public
  only:
    - merge_requests
 
pages:
  stage: deploy
  script:
    - ./validate.py
  artifacts:  
    paths:
    - public
  only:
    - master
